This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 75165 - flaky dasd during install on raw lpar
flaky dasd during install on raw lpar
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 18:39 EDT by Brock Organ
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 10:36:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2002-10-04 18:39:44 EDT
* tested using 7.2-s390 on local customer site
* used 7.2-s390-080502 product
* Custom FTP install on raw lpar
* used OCO modules for network (-37 kernel)

Run #1 ...

After starting installer, loading stage2, the  installer crashes immediately
after the hostname selection screen, with the following error: '/bin/loader:
line 51:   126 Segmentation fault      /sbin/loaderbin'

This happens reproducibly and consistently ... successive runs tried to further
debug problem ... including the following kernel oops:

User process fault:  interruption code 0x10
failing address: 0
CPU:1
Process anaconda (pid: 126, stackpage= 0613E1000)
User PSW: 070dd000 c05befb0  not tainted
task: 06be6000 ksp: 06be7d00 pt_regs: 06be7f68
User GPRS:
00000000 7fffee10 00000003 00000001
00000002 00000001 0065de60 00000001
00000000 00000001 0066ae60 00000003
c05c36f4 c05bef8c c05be976 7fffedb0
User ACRS:
40030fa0 00000000 00000000 00000000
00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
User Code: 59 80 b0 04 a7 b4 00 3b 12 77 a7 84 00 27 a7 a8 00 00 59 a0
NFS: NFSv3 not supported.
nfs warning mount version older than kernel


Run #2 ...

After starting installer, loading stage2, /usr from a working installed system
is mounted into install environment, and gdb is attached to stage2 process
executing python ... install continues past the error point of the first run,
and all packages are installed, but the install hangs on "installing bootloader"
... strace-ing zipl shows the binary is hanging on "waiting to sync changes" ...
Comment 1 Florian La Roche 2002-10-11 04:24:00 EDT
Closing this report. The information here seems to not match really.
You say ftp-install, the log mentions NFS mounts. You say OCO drivers
are involved, but the kernel says "not tainted".

Please try to avoid NFS completely, as this might trigger bugs in
the kernel. If such an install still fails, please open a new bug-
report with full information to track it.

greetings,

Florian La Roche
Comment 2 Brock Organ 2002-10-11 14:05:14 EDT
re-opening bug ...

points of contention:

1) nfs mounts vs ftp install

the install type chosen is ftp ... /usr from another system is nfs-mounted to
allow debugging ... this was done to try to provide more information on the
problem, but the problems appeared before that ...

2) used OCO devices vs kernel saying "not tainted"

agreed this is a contradiction: but the OCO devices were used, and the kernel
oops as copied says "not tainted" ... 

please note this install is on the raw lpar, and not in a vm environment;
testing in z/VM is not sufficient to apply to raw lpar ...

Note You need to log in before you can comment on or make changes to this bug.